Bug 575332 - Review Request: qbzr - Bazaar plugin for Qt interface to most Bazaar operations
Summary: Review Request: qbzr - Bazaar plugin for Qt interface to most Bazaar operations
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Rex Dieter
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-03-20 05:26 UTC by Toshio Ernie Kuratomi
Modified: 2010-04-14 01:37 UTC (History)
4 users (show)

Fixed In Version: qbzr-0.18.4-1.fc13
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-04-13 12:42:29 UTC
rdieter: fedora-review+
kevin: fedora-cvs+


Attachments (Terms of Use)

Description Toshio Ernie Kuratomi 2010-03-20 05:26:54 UTC
Spec URL: http://toshio.fedorapeople.org/packages/qbzr.spec
SRPM URL: http://toshio.fedorapeople.org/packages/qbzr-0.18.3-1.fc12.src.rpm
Description:

QBzr provides GUI frontends for many core bzr commands and several dialogs and
helper commands. Equivalents for core bzr commands have the same names as the
CLI commands but prefixed with "q".  The QBzr dialogs can also be used by other
programs looking to implement a GUI interface for bzr.

Comment 1 Terje Røsten 2010-03-20 15:42:05 UTC
Seems good, some comments:

 - add -k to dos2unix and move to %prep
 - more explict file listing : %{python_sitearch}/*
 - add comment about this issue?
 if test "%{python_sitelib}" != "%{python_sitearch}" ; then
 - I fail to see how using %{name} macro in source url help anything.

Comment 2 Toshio Ernie Kuratomi 2010-03-20 16:26:32 UTC
Changes made:

Spec URL: http://toshio.fedorapeople.org/packages/qbzr.spec
SRPM URL: http://toshio.fedorapeople.org/packages/qbzr-0.18.3-2.fc12.src.rpm

Comment 3 Rex Dieter 2010-03-20 20:35:08 UTC
I few initial questions,

1.  This
%if ! (0%{?fedora} > 12 || 0%{?rhel} > 5)
construct shouldn't be necessary, is it?  the 
%{!?python_sitelib: ...
conditionals should be sufficient, no?
(not that it hurts anything, just curious)

2.  why is this an arch-dependent noarch pkg exactly?

3.  why do the files need to be in python_sitearch vs python_sitelib?

(or perhaps the answer(s) to 2,3 are interrelated)

Comment 4 Rex Dieter 2010-03-20 20:39:46 UTC
f12 scratch build:
http://koji.fedoraproject.org/koji/taskinfo?taskID=2065278


$ rpmlint *.rpm x86_64/*.rpm
qbzr.src: W: spelling-error Summary(en_US) plugin -> plug in, plug-in, plugging
qbzr.src: W: spelling-error %description -l en_US frontends -> front ends, front-ends, Frontenac
qbzr.src: W: spelling-error %description -l en_US bzr -> bar, brr, bur
qbzr.src: W: spelling-error %description -l en_US dialogs -> dialog, dialog s, dialings
qbzr.x86_64: W: spelling-error Summary(en_US) plugin -> plug in, plug-in, plugging
qbzr.x86_64: W: spelling-error %description -l en_US frontends -> front ends, front-ends, Frontenac
qbzr.x86_64: W: spelling-error %description -l en_US bzr -> bar, brr, bur
qbzr.x86_64: W: spelling-error %description -l en_US dialogs -> dialog, dialog s, dialings
qbzr.x86_64: E: no-binary
qbzr.x86_64: E: non-executable-script /usr/lib64/python2.6/site-packages/bzrlib/plugins/qbzr/lib/uifactory.py 0644 /usr/bin/env

These look mostly harmless, though I'll leave it to you if/how you want deal with uifactory.py

Comment 5 Toshio Ernie Kuratomi 2010-03-21 04:53:52 UTC
(In reply to comment #3)
> I few initial questions,
> 
> 1.  This
> %if ! (0%{?fedora} > 12 || 0%{?rhel} > 5)
> construct shouldn't be necessary, is it?  the 
> %{!?python_sitelib: ...
> conditionals should be sufficient, no?
> (not that it hurts anything, just curious)
> 
Correct.  I put it in to document for myself (or future packagers) when it will no longer be necessary but the "!?" portion of the python_sitelib definition should be sufficient.

> 2.  why is this an arch-dependent noarch pkg exactly?
> 
> 3.  why do the files need to be in python_sitearch vs python_sitelib?
> 
> (or perhaps the answer(s) to 2,3 are interrelated)    

Yeah -- bzr itself has a C extension and so it installs into %{python_sitearch}/bzrlib.  This is a plugin to bzr and bzr only searches for plugins in its plugin directory: %{python_sitearch}/bzrlib/plugins

So it has to be built with knowledge of %{_libdir} on different platforms, hence it can't be noarch.

> qbzr.x86_64: E: non-executable-script
> /usr/lib64/python2.6/site-packages/bzrlib/plugins/qbzr/lib/uifactory.py 0644
> /usr/bin/env

Looked at this one -- it has a shebang line because it can be executed to test its functionality.  I tend to leave the shebang line in but not make the file executable when that's the case (as upstream won't take a patch to remove the shebang but we don't really have a need to make it executable when we install it from a system package.)

Comment 6 Rex Dieter 2010-03-21 15:55:35 UTC
upstream source verified,
md5sum *.gz
881e343f4808e8c8f0fbdbf4cce35d43  qbzr-0.18.3.tar.gz

naming ok

macros ok

licensing ok


APPROVED

please document in the specfile about the arch-dependent noarch business.

Comment 7 Toshio Ernie Kuratomi 2010-03-21 17:36:48 UTC
New Package CVS Request
=======================
Package Name: qbzr
Short Description: Bazaar plugin for Qt interface to most Bazaar operations
Owners: toshio
Branches: F-12 F-13 EL-5
InitialCC: 


Spec file updated locally with a better comment.  I'll update once imported.

Comment 8 Kevin Fenzi 2010-03-24 03:29:32 UTC
CVS done (by process-cvs-requests.py).

Comment 9 Fedora Update System 2010-03-26 00:48:39 UTC
qbzr-0.18.4-1.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/qbzr-0.18.4-1.fc13

Comment 10 Fedora Update System 2010-03-26 00:48:43 UTC
qbzr-0.18.4-1.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/qbzr-0.18.4-1.fc12

Comment 11 Fedora Update System 2010-03-27 00:59:29 UTC
qbzr-0.18.4-1.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update qbzr'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/qbzr-0.18.4-1.fc12

Comment 12 Fedora Update System 2010-04-01 19:29:52 UTC
qbzr-0.18.4-1.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update qbzr'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/qbzr-0.18.4-1.fc13

Comment 13 Fedora Update System 2010-04-14 01:32:46 UTC
qbzr-0.18.4-1.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 14 Fedora Update System 2010-04-14 01:36:57 UTC
qbzr-0.18.4-1.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.